org.wildfly.plugin.core

## Class FeaturePack

- java.lang.Object
- - org.wildfly.plugin.core.FeaturePack

- All Implemented Interfaces:
    org.apache.maven.shared.artifact.ArtifactCoordinate, org.apache.maven.shared.dependencies.DependableCoordinate

      public class FeaturePack
      extends Object
      implements org.apache.maven.shared.dependencies.DependableCoordinate, org.apache.maven.shared.artifact.ArtifactCoordinate

  Author:
    Alexey Loubyanssky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeaturePack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArtifactId()`
    `String` | `getClassifier()`
    `List<ConfigurationId>` | `getExcludedConfigs()`
    `List<String>` | `getExcludedPackages()`
    `String` | `getExtension()`
    `String` | `getGroupId()`
    `List<ConfigurationId>` | `getIncludedConfigs()`
    `List<String>` | `getIncludedPackages()`
    `String` | `getLocation()`
    `Path` | `getNormalizedPath()`
    `String` | `getType()`
    `String` | `getVersion()`
    `Boolean` | `isInheritConfigs()`
    `Boolean` | `isInheritPackages()`
    `boolean` | `isTransitive()`
    `void` | `set(String location)`
    `void` | `setArtifactId(String artifactId)`
    `void` | `setClassifier(String classifier)`
    `void` | `setExcludedConfigs(List<ConfigurationId> excludedConfigs)`
    `void` | `setExcludedPackages(List<String> excludedPackages)`
    `void` | `setExtension(String extension)`
    `void` | `setGroupId(String groupId)`
    `void` | `setIncludedConfigs(List<ConfigurationId> includedConfigs)`
    `void` | `setIncludedPackages(List<String> includedPackages)`
    `void` | `setInheritConfigs(boolean inheritConfigs)`
    `void` | `setInheritPackages(boolean inheritPackages)`
    `void` | `setLocation(String location)`
    `void` | `setPath(File path)`
    `void` | `setTransitive(boolean transitiveDep)`
    `void` | `setType(String type)`
    `void` | `setVersion(String version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FeaturePack

          public FeaturePack()

  - ### Method Detail

    - #### getGroupId

          public String getGroupId()

      Specified by:
        `getGroupId` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`
      Specified by:
        `getGroupId` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setGroupId

          public void setGroupId(String groupId)

    - #### getArtifactId

          public String getArtifactId()

      Specified by:
        `getArtifactId` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`
      Specified by:
        `getArtifactId` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setArtifactId

          public void setArtifactId(String artifactId)

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`
      Specified by:
        `getVersion` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setVersion

          public void setVersion(String version)

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setType

          public void setType(String type)

    - #### getClassifier

          public String getClassifier()

      Specified by:
        `getClassifier` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`
      Specified by:
        `getClassifier` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setClassifier

          public void setClassifier(String classifier)

    - #### getExtension

          public String getExtension()

      Specified by:
        `getExtension` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`

    - #### setExtension

          public void setExtension(String extension)

    - #### isTransitive

          public boolean isTransitive()

    - #### setTransitive

          public void setTransitive(boolean transitiveDep)

    - #### getLocation

          public String getLocation()

    - #### setLocation

          public void setLocation(String location)

    - #### isInheritPackages

          public Boolean isInheritPackages()

    - #### setInheritPackages

          public void setInheritPackages(boolean inheritPackages)

    - #### isInheritConfigs

          public Boolean isInheritConfigs()

    - #### setInheritConfigs

          public void setInheritConfigs(boolean inheritConfigs)

    - #### getIncludedConfigs

          public List<ConfigurationId> getIncludedConfigs()

    - #### setIncludedConfigs

          public void setIncludedConfigs(List<ConfigurationId> includedConfigs)

    - #### getExcludedConfigs

          public List<ConfigurationId> getExcludedConfigs()

    - #### setExcludedConfigs

          public void setExcludedConfigs(List<ConfigurationId> excludedConfigs)

    - #### getExcludedPackages

          public List<String> getExcludedPackages()

    - #### setExcludedPackages

          public void setExcludedPackages(List<String> excludedPackages)

    - #### getIncludedPackages

          public List<String> getIncludedPackages()

    - #### setIncludedPackages

          public void setIncludedPackages(List<String> includedPackages)

    - #### setPath

          public void setPath(File path)

    - #### getNormalizedPath

          public Path getNormalizedPath()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### set

          public void set(String location)

Copyright © 2022 JBoss by Red Hat. All rights reserved.